function Operator(focus,toolbar,get_screen,store_screen_info,switch_ui,
get_screen_info,add_screen,remove_screen,get_screenorder,
get_poweron_screen,store_poweron_screen,
get_poweron_select,store_poweron_select,get_vanish_product_id,
set_event_status,get_uniq_id){
this.superClass=container;
this.superClass({});
this._active_screen=[null,null,null];
this.focus=focus;
this.toolbar=toolbar;
if(SU_SUPPORT_MYHOMESCREEN){
this.components.push(this.toolbar,this.focus);}
if(get_screen instanceof Function){
this.getScreen=get_screen;}
if(store_screen_info instanceof Function){
this.storeScreenInfo=store_screen_info;}
if(switch_ui instanceof Function){
this.switchUI=switch_ui;}
if(get_screen_info instanceof Function){
this.getScreenInfo=get_screen_info;}
if(add_screen instanceof Function){
this.addScreen=add_screen;}
if(remove_screen instanceof Function){
this.removeScreen=remove_screen;}
if(get_screenorder instanceof Function){
this.getScreenOrder=get_screenorder;}
if(get_poweron_screen instanceof Function){
this.getPowerOnScreen=get_poweron_screen;}
if(store_poweron_screen instanceof Function){
this.storePowerOnScreen=store_poweron_screen;}
if(get_poweron_select instanceof Function){
this.getPowerOnSelect=get_poweron_select;}
if(store_poweron_select instanceof Function){
this.storePowerOnSelect=store_poweron_select;}
if(get_vanish_product_id instanceof Function){
this.getVanishProductIDs=get_vanish_product_id;}
if(set_event_status instanceof Function){
this.setHomeEventStatus=set_event_status;}
if(get_uniq_id instanceof Function){
this.getUniqID=get_uniq_id;}
}
Operator.prototype=new container({});
Operator.prototype.in_hook=function(){
}
Operator.prototype.out_hook=function(){
return this._active_screen;}
Operator.prototype.key_hook=function(up_down,key){
return false;}
Operator.prototype.getActiveScreen=function(){
return this._active_screen;}
Operator.prototype.clearScreenInstance=function(){
if(this.screen&&this.screen instanceof Array){
var my_len=this.screen.length;
for(var i=0;i<my_len;i++){
if(this.screen[i])this.screen[i]=null;}
}
if(this._active_screen&&this._active_screen instanceof Array){
var my_len=this._active_screen.length;
for(var i=0;i<my_len;i++){
if(this._active_screen[i]&&(i!=1))this._active_screen[i]=null;}
}
}
Operator.prototype.updateScreen=function(){};
Operator.prototype.activateSelectedScreen=function(bool){return false;};
Operator.prototype.isTVGadget=function(){return false;};
Operator.prototype.focusNoTVGadget=function(){};
Operator.prototype.updateUsrprof=function(){};
Operator.prototype.setUsrprofID=function(id){
this._usrprof_id=id;};
Operator.prototype.getUsrprofID=function(){
return this._usrprof_id;};
